# $Id: Makefile,v 1.1 1996/12/16 18:52:22 gaertner Exp $
#----------------------------------------------------------------------

#
# Makefile for C prettyprinting filter for noweb (using pretzel)
# with HTML as target
#


cee2htmltest: prettycee2html
	noweave -html -filter prettycee2html  		\
		cee2htmltest.nw > cee2htmltest.html


# use pretzel-it to build the C sources but link the code with
# prettycee2html instead of the standard object (for LaTeX)

prettycee2html: cee2html.ft cee2html.fg prettycee2html.o
	pretzel-it -i cee2html prettycee2html
	g++ cee2html.lex.o cee2html.tab.o prettycee2html.o 		\
		../../../nowebpretzelpp.o		\
		-I../../../include -L../../.. -lpretzel -g -o prettycee2html

prettycee2html.o: prettycee2html.nw
	notangle prettycee2html.nw > prettycee2html.c
	g++ -c -I../../../include -I../general prettycee2html.c

dvi: cee2htmltest
	latex cee2htmltest.tex


clean:
	rm -f *.tex *.log *.dvi *.o *.toc *.aux *.h *.c *.o *.l *.y
